﻿body
{
	box-sizing: border-box;
    overscroll-behavior: none;
}

.webix_view[view_id=topicTree] {
    -webkit-overflow-scrolling: touch;
    overflow-y: scroll;
}


html, body
{
    height: 100%;
    margin: 0;
    padding: 0;
}

.webix_tree_open,
.webix_tree_close
{
    font-size: 4em;
}

.trvbg
{
    background-image: url("images/trv.png");
    background-repeat: no-repeat;
    background-size: contain;
}

.trvRed {
    background-color: #d52b1e;
}

.stefanHighlight {
    background-color: yellow;
}

.ng-scope
{
    width: 100%;
    height: 100%;
}

.bgclass
{
	background-image: url("images/login-background.jpg");
	background-size: cover;
}

.publication-background {
    background-image: url("images/app/publicationLogin-background.jpg");
    background-size: cover;
}

.nobg
{
	background: none;
}

.center
{
	text-align: center;
}

.right
{
	text-align: right;
}

.whiteText {
    color: #fefefe;
}

.blackText {
    color: #444;
}

div[view_id="componentLabel"]>div {
    margin-left: 10px;
    margin-right: 10px;
}

 div[view_id="loginForm"] h1
{
	color: #eee;
}

div[view_id="loginForm"] input
{
	width: 90%;
	margin: 3px;
	border: 1px solid #444;
	border-radius: 5px;
	padding: 8px;
}

input[type="button"]
{
	padding: 8px;
	border: 1px solid #444;
	background-color: #d52b1e;
	opacity: 0.7;
	font-weight: bolder;
}

input[type="button"]:hover
{
	opacity: 1;
}

.bgTransparency
{
	background-color: rgba(146,139,129,.37) !important;
	border-radius: 5px;
}

.trvBackground,
.staticTrvBackground
{
	background-image: url("images/trafikverket.png");
	background-size: auto 60%;
	background-repeat: no-repeat;
	/* background-position: left center; */
	background-position: 10px;
    text-align: right;
}

.followPadding {
    padding-left: 170px;
}

@media (max-width: 700px) {
    .trvBackground {
	    background-image: url("images/trv.png");
    }
.followPadding {
    padding-left: 40px;
}

}

/* div[view_id="objectList"] div.webix_list_item
{
	height: 50px;
} */

.rowHeight
{
	height: 50px;
}

/* Webix  */
html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

.webix_cell a {
    color: #555555;
    text-decoration: none;
}

/*.webix_tree_item.webix_selected {
  background: #d52b1e;
}*/

.centerText .webix_img_btn {
    text-align: center;
}

.rightText .webix_img_btn {
    text-align: right;
}

.leftText .webix_img_btn {
    text-align: left;
}

div[view_id=loginForm] {
    border-radius: 10px;
}

div[view_id=loginForm] input {
    width: 99% !important;
}

.errorLabel {
    /*color: #D52B1E;
    font-weight: bolder;
    background-color: #eee;
    border-radius: 5px;*/

    color: #fefefe;
}

.floatRight {
    float: right;
}

.floatLeft {
    float: left;
}

.fa-search::before {
    color: #fefefe;
}

.publicItem {
    background-color: lightyellow;
}

.publicView {
    display: none;
}

.publicItem .publicView {
    display: inline;
    padding: 0 !important;
    margin: 4px !important;
    width: 20px;
}

.publicItem .publicView:before {
    display: inline;
    font-family: FontAwesome;
    content: "\f129";
    color: #928B81;
}

a.downloadIcon:before {
    display: inline;
    font-family: FontAwesome;
    content: "\f019";
    color: #928B81;
}

a.downloadIcon,
a.downloadIcon:hover,
a.downloadIcon:active {
    text-decoration: none;
    margin: 0px 4px;
}

a.noDownloadIcon {
    display: none;
}

.hideheader .webix_ss_header {
    display: none;
}
/*
div[webix-ui="objectTable"] .webix_ss_vscroll_header {
    background-color: #d52b1e;
    border: none;
}

div[webix-ui="objectTable"] .webix_ss_header {
    background-color: #d52b1e;
}
*/
div[webix-ui="hamburger"] .webix_menu-x .webix_list_item {
    margin-top: 4px;
    background-color: transparent;
}

.webix_menu-x .webix_icon:first-of-type {
    font-size: 1.9em;
}

div[view_id="databaseLabel"] div {
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

div[view_id="popupWindow"] img {
    max-width: 100%;
}
.awesome {
    font-family: FontAwesome;
}
div[view_id="loginForm"] button.webixtype_form:focus,
div[view_id="loginForm"] button.webixtype_form:active {
    background-color: #A71930;
}

.infoToolbar {
    /*background-color: #bbffbb !important;*/
    background-color: rgb(32,68,165) !important;
    /*background-color: rgb(88,120,201) !important;*/
    /*background-color: rgb(0,120,215) !important;*/
    /*background-color: rgb(0,133,193) !important;*/
    /*background-color: #0099ff;*/
    /*border-bottom: 1px solid #00aa00 !important;*/
}

div[view_id="infoToolbar"] *,
div[view_id="infoToolbar"] *:active,
div[view_id="infoToolbar"] *:focus {
    background-color: transparent !important;
    /*color: #444;*/
    color: #fefefe;
    border: none;
    text-align: left;
}

div[view_id="infoToolbar"] button {
    padding-left: 2px;
    color: #fefefe !important;
}

div[view_id="closeInfoToolbar"] button, 
div[view_id="closeInfoToolbar"] button:active,
div[view_id="closeInfoToolbar"] button:focus {
    text-align: center;
}

div[view_id="searchResultList"] .webix_column > div.webix_row_select {
    background-color: #CBC7BF;
    color: #444;
}

.componentButton .webix_img_btn,
.componentButton .webix_icon_btn {
    color: #fefefe;
    text-align: center;
}
.componentButton .webix_img_btn {
    background-color: #d52b1e;
}

div[view_id="componentTable"] .webix_column > div.webix_row_select {
    background-color: #CBC7BF;
}

.webix_el_tabbar .webix_item_tab.webix_selected {
    background-color: #d52b1e;
    border-color: #d52b1e;
}

.webix_el_richselect span.webix_input_icon {
    background-color: #d52b1e;
}

.webix_el_combo span.webix_input_icon {
    background-color: #d52b1e;
}

.webix_popup_button.confirm div {
    background-color: #d52b1e;
    border-color: #d52b1e;
}

.smaller {
    font-size: 0.8em;
}

.light {
    color: #fefefe;
}

.imgTemplate {
    /*width: 1080px;
    height: auto;
    max-width: 100%;
    max-height: 100%;*/
    width: 100%;
    height: 100%;
    /*background-image: url("/Content/images/app/poc-BCF/BCFicon128.svg");*/
    background-image: url("/Content/images/app/poc-BCF/TV_logo_Master_Symbol_rgb.png");
    /*background-color: rgb(214,16,22);*/
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
}

/*div[view_id="bcfTable"] .webix_cell[aria-colindex="2"] {*/
div[view_id="bcfTable"] .webix_cell {
    word-break: keep-all;
    white-space: pre-wrap;
}

div[view_id="bcf_accordion"] .collapsed .webix_accordionitem_label {
    background-color: #A71930;
}

div[view_id="bcf_accordion"] .webix_accordionitem_label {
    background-color: #d52b1e;
}

.webix_el_datepicker span.webix_input_icon.fa-calendar {
    background-color: #d52b1e;
}

img.commentImage {
    display: block;
    max-width: 100%;
    max-height: 100%;
    height: auto;
    margin: auto;
}

img.commentImage[src='#'] {
    display: none;
}

.webix_layout_toolbar.webix_toolbar.subToolbar {
    background-color: #fefefe;
    color: #444;
    border-color: #fefefe;
}

/*.webix_layout_toolbar.webix_toolbar .subToolbar webix_el_label .blackText*/
.webix_layout_toolbar .webix_el_label.greyText
{
    color: #666;
}

.subToolbar button {
    background-color: #d52b1e;
}

#testImport
{
    width: 0;
    height: 0;
    visibility: hidden;
}

#testimportlabel
{
    color: #fefefe;
    background-color: #d52b1e;
    display: block;
    text-align: center;
}

#bcfFileUpload
{
    display: none;
}

.padding5{padding: 5px;}
.padding10{padding: 10px;}

.centerText {
    text-align: center;
}

.rightText {
    text-align: right;
}

.maxSize {
    max-width: 100%;
    max-height: 100%;
}

.inlineBlock {
    display: inline-block;
}

.greyBackground {
    background-color: #555555 !important;
}

.map {
    height: 100%;
}

div[view_id="mapList"] .webix_list_item img {
    float: left;
    max-height: 100%;
    margin: 5px;
}

.bold {
    font-weight: bold;
}

.noBackground{
    background: none;
}

.versionString{
    margin-right: 5px;
}

textarea[name="supporttext"]
{
    background: none;
    border: none;
    color: #fefefe;
}


div[view_id="supporttext"] div {
    line-height: 24px !important;
    color: #fefefe;
}

.clickable:hover {
    cursor: pointer;
}

.textOverflow button {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

div[view_id="searchComments"].webix_view.webix_control.webix_el_checkbox.blackText label.webix_inp_label,
div[view_id="searchFlag"].webix_view.webix_control.webix_el_checkbox.blackText label.webix_inp_label
{
    color: #666;
}

.number_of_days_left
{
    text-align: center;
    font-size: 2em;
    color: red;
    font-weight: bold;
}